export interface LogisticsQuoteVO {
  /**
   * 主键ID
   */
  id: string | number;

  /**
   * 物流商用户ID（关联sys_user表）
   */
  userId: string | number;

  /**
   * 目的地（建议使用ISO国家代码如CN/US/GB）
   */
  destination: string;

  /**
   * 渠道名称（冗余存储，保证查询效率）
   */
  transportChannel: string;

  /**
   * 基础价格
   */
  price: number;

  /**
   * 时效（单位：天）
   */
  leadTime: number;

  /**
   * 附加费
   */
  surcharge: number;

  /**
   * 报价生效日期
   */
  quoteDate: string;

  /**
   * 提交状态（Y已提交 N未提交）
   */
  isSubmitted: string;

  /**
   * 报价备注
   */
  remark: string;

  /**
   * 渠道类型（system=系统/custom=自定义）
   */
  channelType: string;

  /**
   * 渠道ID（system=dict_code，custom=自定义渠道ID）
   */
  channelId: string | number;

}

export interface LogisticsQuoteForm extends BaseEntity {
  /**
   * 主键ID
   */
  id?: string | number;

  /**
   * 物流商用户ID（关联sys_user表）
   */
  userId?: string | number;

  /**
   * 目的地（建议使用ISO国家代码如CN/US/GB）
   */
  destination?: string;

  /**
   * 渠道名称（冗余存储，保证查询效率）
   */
  transportChannel?: string;

  /**
   * 基础价格
   */
  price?: number;

  /**
   * 时效（单位：天）
   */
  leadTime?: number;

  /**
   * 附加费
   */
  surcharge?: number;

  /**
   * 报价生效日期
   */
  quoteDate?: string;

  /**
   * 提交状态（Y已提交 N未提交）
   */
  isSubmitted?: string;

  /**
   * 报价备注
   */
  remark?: string;

  /**
   * 渠道类型（system=系统/custom=自定义）
   */
  channelType?: string;

  /**
   * 渠道ID（system=dict_code，custom=自定义渠道ID）
   */
  channelId?: string | number;

}

export interface LogisticsQuoteQuery extends PageQuery {

  /**
   * 物流商用户ID（关联sys_user表）
   */
  userId?: string | number;

  /**
   * 目的地（建议使用ISO国家代码如CN/US/GB）
   */
  destination?: string;

  /**
   * 渠道名称（冗余存储，保证查询效率）
   */
  transportChannel?: string;

  /**
   * 基础价格
   */
  price?: number;

  /**
   * 时效（单位：天）
   */
  leadTime?: number;

  /**
   * 附加费
   */
  surcharge?: number;

  /**
   * 报价生效日期
   */
  quoteDate?: string;

  /**
   * 提交状态（Y已提交 N未提交）
   */
  isSubmitted?: string;

  /**
   * 渠道类型（system=系统/custom=自定义）
   */
  channelType?: string;

  /**
   * 渠道ID（system=dict_code，custom=自定义渠道ID）
   */
  channelId?: string | number;

    /**
     * 日期范围参数
     */
    params?: any;
}



