export interface ShipmentPlanVO {
  /**
   * 主键ID
   */
  id: string | number;

  /**
   * 关联系统ID
   */
  sid: string | number;

  /**
   * 货件编号
   */
  shipmentId: string | number;

  /**
   * 货件名称
   */
  shipmentName: string;

  /**
   * 是否关闭
   */
  isClosed: string;

  /**
   * 货件状态
   */
  shipmentStatus: string;

  /**
   * 物流中心编码
   */
  destinationFulfillmentCenterId: string | number;

  /**
   * 运输模式
   */
  shippingMode: string;

  /**
   * 运输方案
   */
  shippingSolution: string;

  /**
   * 最后更新时间
   */
  gmtModified: string;

  /**
   * 创建时间
   */
  gmtCreate: string;

  /**
   * 同步时间
   */
  syncTime: string;

  /**
   * 计划发货日期
   */
  staShipmentDate: string;

  /**
   * 预计到货开始日
   */
  staDeliveryStartDate: string;

  /**
   * 预计到货截止日
   */
  staDeliveryEndDate: string;

  /**
   * 发货地址
   */
  shipFromAddress: string;

  /**
   * 收货地址
   */
  shipToAddress: string;

  /**
   * 参考编号
   */
  referenceId: string | number;

  /**
   * 入库计划ID
   */
  staInboundPlanId: string | number;

  /**
   * 是否STA计划
   */
  isSta: string;


}

export interface ShipmentPlanForm extends BaseEntity {
  /**
   * 主键ID
   */
  id?: string | number;

  /**
   * 关联系统ID
   */
  sid?: string | number;

  /**
   * 货件编号
   */
  shipmentId?: string | number;

  /**
   * 货件名称
   */
  shipmentName?: string;

  /**
   * 是否关闭
   */
  isClosed?: string;

  /**
   * 货件状态
   */
  shipmentStatus?: string;

  /**
   * 物流中心编码
   */
  destinationFulfillmentCenterId?: string | number;

  /**
   * 运输模式
   */
  shippingMode?: string;

  /**
   * 运输方案
   */
  shippingSolution?: string;

  /**
   * 最后更新时间
   */
  gmtModified?: string;

  /**
   * 创建时间
   */
  gmtCreate?: string;

  /**
   * 同步时间
   */
  syncTime?: string;

  /**
   * 计划发货日期
   */
  staShipmentDate?: string;

  /**
   * 预计到货开始日
   */
  staDeliveryStartDate?: string;

  /**
   * 预计到货截止日
   */
  staDeliveryEndDate?: string;

  /**
   * 发货地址
   */
  shipFromAddress?: string;

  /**
   * 收货地址
   */
  shipToAddress?: string;

  /**
   * 参考编号
   */
  referenceId?: string | number;

  /**
   * 入库计划ID
   */
  staInboundPlanId?: string | number;

  /**
   * 是否STA计划
   */
  isSta?: string;

}

export interface ShipmentPlanQuery extends PageQuery {

  /**
   * 关联系统ID
   */
  sid?: string | number;

  /**
   * 货件编号
   */
  shipmentId?: string | number;

  /**
   * 货件名称
   */
  shipmentName?: string;

  /**
   * 是否关闭
   */
  isClosed?: string;

  /**
   * 货件状态
   */
  shipmentStatus?: string;

  /**
   * 物流中心编码
   */
  destinationFulfillmentCenterId?: string | number;

  /**
   * 运输模式
   */
  shippingMode?: string;

  /**
   * 运输方案
   */
  shippingSolution?: string;

  /**
   * 最后更新时间
   */
  gmtModified?: string;

  /**
   * 创建时间
   */
  gmtCreate?: string;

  /**
   * 同步时间
   */
  syncTime?: string;

  /**
   * 计划发货日期
   */
  staShipmentDate?: string;

  /**
   * 预计到货开始日
   */
  staDeliveryStartDate?: string;

  /**
   * 预计到货截止日
   */
  staDeliveryEndDate?: string;

  /**
   * 发货地址
   */
  shipFromAddress?: string;

  /**
   * 收货地址
   */
  shipToAddress?: string;

  /**
   * 参考编号
   */
  referenceId?: string | number;

  /**
   * 入库计划ID
   */
  staInboundPlanId?: string | number;

  /**
   * 是否STA计划
   */
  isSta?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



